# gbp-clone

## Name

gbp-clone -- Clone a repository from remote

## Synopsis

gbp clone [`--verbose`] [`--all`] [`--[no-]pristine-tar`] [`--debian-branch=``branch_name`] [`--upstream-branch=``branch_name`] [`--depth=``depth`] `remote_uri`

## DESCRIPTION

gbp clone clones a remote repository and sets up tracking branches for the debian, upstream and pristine-tar branches. This way you can easily update later using gbp pull.

## OPTIONS

`--all` | Track all branches, not only `debian` and `upstream`.
`--debian-branch`=`branch_name` | The branch in the Git repository the Debian package is being developed on, default is `master`.
`--upstream-branch`=`branch_name` | The branch in the Git repository the upstream sources are put onto. Default is `upstream`.
`--depth`=`depth` | Git history depth, for creating shallow git clones.
`--verbose`, `-v` | verbose execution
`--pristine-tar` | Track pristine tar branch.

## CONFIGURATION FILES

Several `gbp.conf` files are parsed to set defaults for the above commandline arguments. See the gbp.conf(5) manpage for details.

## SEE ALSO

gbp-buildpackage(1), gbp-pull(1), gbp.conf(5)

## AUTHOR

Guido Guenther `<agx@sigxcpu.org>`